Bug 1277641 - routing errors under provider relationships
routing errors under provider relationships
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity unspecified
: GA
: 5.5.0
Assigned To: lgalis
Kyrylo Zvyagintsev
:
Depends On:
Blocks: 1265462
  Show dependency treegraph
 
Reported: 2015-11-03 12:41 EST by Kyrylo Zvyagintsev
Modified: 2015-12-08 08:43 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
routing errors under provider relationships (91.36 KB, image/png)
2015-11-03 12:41 EST, Kyrylo Zvyagintsev
no flags Details

  None (edit)
Description Kyrylo Zvyagintsev 2015-11-03 12:41:36 EST
Created attachment 1089161 [details]
routing errors under provider relationships

version 5.5.0.8
it looks like still some problems with routing:
Preconditions:
Should have provider with number of images more then 20

See attached previous screenshot
  
Steps:
1. Open provider summary page
2. Open relationships on side panels 
3. Click on images (table with 20 images should be displayed)
4. Click next page

AR: Page does not exist. /ems_cloud/show/4?display=images&page=2 - return 404

ER: Next page should be displayed

Additional info from production log:
[----] I, [2015-11-03T12:01:22.206740 #2981:af198c]  INFO -- : Started GET "/ems_cloud/show/4?display=images&page=2" for 127.0.0.1 at 2015-11-03 12:01:22 -0500
[----] F, [2015-11-03T12:01:22.210181 #2981:af198c] FATAL -- : 
ActionController::RoutingError (No route matches [GET] "/ems_cloud/show/4"):
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:21:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:38:in `call_app'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:22:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
  rack (1.6.4) lib/rack/methodoverride.rb:22:in `call'
  rack (1.6.4) lib/rack/runtime.rb:18:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
  rack (1.6.4) lib/rack/lock.rb:17:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
  rack (1.6.4) lib/rack/sendfile.rb:113:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/engine.rb:518:in `call'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/application.rb:165:in `call'
  rack (1.6.4) lib/rack/content_length.rb:15:in `call'
  thin (1.6.3) lib/thin/connection.rb:86:in `block in pre_process'
  thin (1.6.3) lib/thin/connection.rb:84:in `catch'
  thin (1.6.3) lib/thin/connection.rb:84:in `pre_process'
  thin (1.6.3) lib/thin/connection.rb:53:in `process'
  thin (1.6.3) lib/thin/connection.rb:39:in `receive_data'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run_machine'
  eventmachine (1.0.7) lib/eventmachine.rb:187:in `run'
  thin (1.6.3) lib/thin/backends/base.rb:73:in `start'
  thin (1.6.3) lib/thin/server.rb:162:in `start'
  rack (1.6.4) lib/rack/handler/thin.rb:19:in `run'
  rack (1.6.4) lib/rack/server.rb:286:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/server.rb:80:in `start'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
  /opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands.rb:17:in `<top (required)>'
  bin/rails:4:in `require'
  bin/rails:4:in `<main>'
Comment 4 CFME Bot 2015-11-11 18:11:56 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/67ac28ccf9b6075d781e6d23c65eb0934f5f71b4

commit 67ac28ccf9b6075d781e6d23c65eb0934f5f71b4
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Fri Nov 6 16:03:58 2015 -0500
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Wed Nov 11 13:56:25 2015 -0500

    The pagination links need to account for restful paths
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277641

 app/helpers/application_helper.rb | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
Comment 6 CFME Bot 2015-11-12 15:33:28 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=3f400b42991518c7e1ce48e4660e8615c4a18413

commit 3f400b42991518c7e1ce48e4660e8615c4a18413
Author:     Laura Galis <lgalis@redhat.com>
AuthorDate: Fri Nov 6 16:03:58 2015 -0500
Commit:     Laura Galis <lgalis@redhat.com>
CommitDate: Thu Nov 12 09:08:39 2015 -0500

    The pagination links need to account for restful paths
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277641
    (cherry picked from commit 38c309a)

 app/helpers/application_helper.rb | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)
Comment 9 errata-xmlrpc 2015-12-08 08:43:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.